com.ihr.xbrl.transform.target

## Interface XBRLReportHandlerInterface

- All Known Implementing Classes:
    HTMLReportHandler, XBRLReportHandler

      public interface XBRLReportHandlerInterface

  The Interface XBRLReportHandlerInterface.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLTransformationResult` | `createNewResult(net.sf.saxon.s9api.Processor proc)` Creates a new document container.
    `void` | `endOfDocument()` Called by the transformation processor to indicate the end of a document processing Usually a document footer is produced.
    `java.net.URI` | `getConfigFile()` Returns back the URI of the configuration file.
    `void` | `init()` Inits the.
    `void` | `processContexts(java.util.Iterator<XBRLContext> contexts)` Called by the transformation processor to provide the contexts for the data that will be found later during the processing of facts the default process updates the content of some variables.
    `void` | `setConfigFile(java.net.URI configFile)` Sets the config file.
    `void` | `startOfDocument(XBRLInstance instance)` Called by the transformation processor to indicate the start of a new document.

- - ### Method Detail

    - #### setConfigFile

          void setConfigFile(java.net.URI configFile)

      Sets the config file.
      Parameters:
        `configFile` - the new config file

    - #### init

          void init()
                    throws DataTargetConfigurationFileException

      Inits the.
      Throws:
        `DataTargetConfigurationFileException` - the data target configuration file exception

    - #### createNewResult

          XBRLTransformationResult createNewResult(net.sf.saxon.s9api.Processor proc)

      Creates a new document container.
      Parameters:
        `proc` - the Saxonica Processor instance
      Returns:
        XBRLTransformationResult

    - #### startOfDocument

          void startOfDocument(XBRLInstance instance)
                               throws FactHandlerException

      Called by the transformation processor to indicate the start of a new document. Usually a document header is produced.
      Parameters:
        `instance` - the instance
      Throws:
        `FactHandlerException` - the fact handler exception

    - #### processContexts

          void processContexts(java.util.Iterator<XBRLContext> contexts)

      Called by the transformation processor to provide the contexts for the data that will be found later during the processing of facts the default process updates the content of some variables.
      Parameters:
        `contexts` - Iterator

    - #### endOfDocument

          void endOfDocument()

      Called by the transformation processor to indicate the end of a document processing Usually a document footer is produced.

    - #### getConfigFile

          java.net.URI getConfigFile()

      Returns back the URI of the configuration file.
      Returns:
        URI